<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN"
"http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<?= $this->headTitle() ?>
		<?= $this->headMeta() ?>
		<link rel="stylesheet" type="text/css" href="<?= _stm('style.css') ?>" media="screen,handheld, screen and (max-device-width: 480px)" />
		<link rel="stylesheet" type="text/css" href="<?= _stm('media.css') ?>" media="screen,handheld, screen and (max-device-width: 480px)" />
		<link rel="stylesheet" type="text/css" href="<?= _stm('private.css').'?'.time() ?>" media="screen,handheld, screen and (max-device-width: 480px)" />
	    <meta name="viewport" content="user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, width=device-width" />
	    <meta name="HandheldFriendly" content="true" />
	    <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
	    <meta http-equiv="cache-control" content="no-transform" />
		<script type="text/javascript" src="<?= _stm('moo.js') ?>"></script>
		<script type="text/javascript" src="<?= _stm('global.js') ?>"></script>
		<?= $this->render('online-billing/dictionary.phtml')?>
		<?= $this->headScript()	?>

		<script type="text/javascript">
			window.addEvent('domready', function () {
				$$('#nav-main-btn, #nav-flags-btn').addEvent('click', function(e){
					e.stop();

					var regEx = /nav\-(.*)\-btn/g,
						navName = this.get('id'),
						matched = regEx.exec(navName);

					menuModule.init(matched[1]);
				});
			});
		</script>

		<style>
			#page {
				width: 100%;
				padding: 0;
			}
		</style>
	</head>

	<body>
		<?= $this->render('mobile/menu.phtml'); ?>
		<div id="wrap" style="padding-bottom: 250px; min-height: inherit;">
			<?= $this->render('mobile/header.phtml'); ?>

			<div id="m-private">
				<div id="page" class="index-page-padding private-layout">
					<?= $this->layout()->content ?>
				</div>
			</div>
		</div>

		<?= $this->render('google-analytics.phtml') ?>
		
		<? $action = $this->request()->getActionName(); ?>

		<?php if ( $action == 'gotd' ): ?>
			<script src="<?= _stm('online-billing-gotd.js') ?>?v=432"></script>
		<? elseif( $action == 'votd' ):?>
			<script src="<?= _stm('online-billing-votd.js') ?>?v=234"></script>

		<?php else : ?>
			<?php if($this->user->user_type == 'agency'): ?>
	       		<script type="text/javascript" src="<?= _stm('online-billing-agency.js') ?>?v=456.10"></script>
			<?php else: ?>
	       		<script type="text/javascript" src="<?= _stm('online-billing.js') ?>?v=456"></script>
	       	<?php endif; ?>
	    <?php endif; ?>
		

		<?php if($action == 'payment' && $this->user->user_type != 'agency'): ?>
	       		<script type="text/javascript" src="<?= _stm('online-billing-payment.js') ?>?v=16"></script>
	    <?php endif; ?>
	    
        <script>
            window.addEvent('load', function() {
                var checkScroll = function() {
                    var body_scroll = document.body.getScroll();
                    to_top.setStyle('visibility', body_scroll.y > 70 ? 'visible': 'hidden');
                    /*to_bottom.setStyle('visibility', (body_scroll.y + window.getCoordinates().height) < window.getScrollSize().y ? 'visible': 'hidden');*/
                };

                var scroll_fx = new Fx.Scroll(window);
                var to_top = new Element('span.scroll.scroll-to-top')
                    .addEvent('click', function() {
                        scroll_fx.toTop();
                    })
                    .inject(document.body);

                //to_top.innerHTML = "⮝";
                /*var to_bottom = new Element('span.scroll.scroll-to-bottom.fa.fa-3x.fa-arrow-circle-down')
                    .addEvent('click', function() {
                        scroll_fx.toBottom();
                    })
                    .inject(document.body);*/

                checkScroll();
                window.addEvent('scroll', function(e) {
                    checkScroll();
                })
            });
        </script>

        <style>
            .scroll {
                position: fixed;
                color: #e7e7e7;
                cursor: pointer;
            }
            .scroll-to-top {
                display: inline-block;
                width: 40px;
                height: 40px;
                bottom: 20px;
                right: 20px;
                font-size: 26px;
                background: url(/img/mobile/to-top.png) center center no-repeat;
                color: #111;
                border-radius: 10px;
            }
            .fa-arrow-circle-up:before { color: #fff; }
        </style>
	</body>
</html>
